package com.qmth.distributed.print.business.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.qmth.distributed.print.business.bean.dto.ClientExamStudentDto;
import com.qmth.distributed.print.business.bean.dto.ClientExamTaskDto;

import java.util.List;
import java.util.Map;

/**
 * @Date: 2021/4/20.
 */
public interface ClientService {
    IPage<ClientExamTaskDto> listTryTask(Long schoolId, String machineCode, Long orgId, Long printPlanId, String courseCode, String paperNumber, Boolean isTry, Boolean isPass, Integer pageNumber, Integer pageSize);

    String getUrl(Long schoolId, Long examTaskId);

    Boolean tagPass(Long schoolId, Long examTaskId, String machineCode, Boolean isPass, Long userId);

    Boolean updatePrintProgress(Long schoolId, Long examDetailId, Integer printProgress);

    IPage<ClientExamStudentDto> listStudent(Long schoolId, Long examDetailId, String ticketNumber, String studentName, String courseCode, Integer pageNumber, Integer pageSize);

    Map<String, Object> getReprintData(Long schoolId, Long examDetailId, String ticketNumber, String type);
}
